Bug 6139 - Problems with installation
Problems with installation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-20 10:08 EDT by wentzel
Modified: 2015-01-07 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 13:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wentzel 1999-10-20 10:08:31 EDT
Hi,

Let me start by saying that I generally find The RedHat
distributions more than adequate in every way. However
there seems to be a number of difficulties with the 6.1
distribution (ie. the downloadable iso-image) which makes
RedHat a poor choise for first time users (which I am not).

1. I tried to install on a highend Pentium (or lowend
   Pentium II). The installation failed to initialize X,
   and continued in the oldfashion way (Matrox G200). This
   is strange since there was no problem detecting the
   graphicscard later on in the installation.
   After the installation I was a bit baffled by the fact
   that I wasn't prompted for LiLo (!?!). And sure enough:
   When the machine rebooted after installation - it booted
   Windows

2. I moved on and tried to install on a brandnew PentiumIII.
   I inserted the CD - and it too failed to initialize X
   (Matrox G200 as well). BUT! instead of continuing in
   textmode it crashed big time and informed me (politely)
   that I should reboot the machine (This seems more like
   Windows than Linux)
3. This time I tried on a Pentium II 300MHz with an OEM
   Matrox G100.
   This installer behaved nicely this time (allthough it
   skipped detection of the networkadapter - I like the
   graphical installer by the way).
   BUT! After installation the network adapter still wasn't
   detected (I have heard rumours about a new hardware
   detection system in 6.1).
   Furthermore: eventhough I chose dansih keyboard during
   the installation, the settings were some UK/US-keyboard.
   I corrected this but a firsttime user most certainly
   won't be able to do that.
   There were some other things that was kind of strange
   but the only one I remember is that I wasn't able to run
   sndconfig (unless I ran setup). I didn't go further into
   to this. But now I wonder is this intentionally or have
   you forgotten to setup the PATH-variable???

If you need more detailed information on some of the
hardware mentioned above, simply drop me a line - I'll be
glad to comply.

Keep up the good work

Best Regards
  Thomas Wentzel
Comment 1 Jay Turner 1999-10-20 10:29:59 EDT
What kind of installation were you performing in 1) below?  If you
were performing a Workstation or Server installation, you will not be
prompted for lilo config, but I would not think that it would boot
Windows.


We have heard reports of bad things happening when the install failed
to start the Xserver.

What kind of network adapter was in the machine which was not
detected?  I am assumming that you were performing a cdrom
installation, in which case you should have gotten the Network Config
screen, and you should have been able to either enter static IP
information or configure the device to use dhcp.

------- Additional Comments From   10/21/99 15:35 -------
I chose "Custom" installation in all three cases!
The network adapter is a 3COM adapter (3c589 I believe) and Yes I did
a CDROM installation
Comment 2 Jay Turner 2000-02-08 13:38:59 EST
ISA devices are no auto-probed by the system, so this might explain why you did
not get prompted for networking information.  The new hardware detection code is
indeed in this release, but again, ISA devices are not handled.

The problem with the keyboard is fixed in the latest RawHide, as are significant
improvements in the handling of video cards and what happens should the system
need to fallback to TUI install.

Note You need to log in before you can comment on or make changes to this bug.